create_winding# MaxwellCircuitComponents.create_winding(name=None, location=None, angle=0, use_instance_id_netlist=False)[source]# Create a winding linked to a Maxwell design. Parameters: namestr, optionalName of the winding. The default is None. locationlist of float, optionalPosition on the X axis and Y axis. anglefloat, optionalAngle rotation in degrees. The default is 0. use_instance_id_netlistbool, optionalWhether to use the instance ID in the net list. The default is False. Returns: pyaedt.modeler.cad.object3dcircuit.CircuitComponentCircuit Component Object. References >>> oEditor.CreateComponent Copy to clipboard